Skip to main content
PUT
/
api
/
migration
/
infrastructure-config
Update infrastructure configuration variables
curl --request PUT \
  --url https://api.example.com/api/migration/infrastructure-config \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cluster_ssh_conn_id": "<string>",
  "cluster_edge_temp_path": "<string>",
  "migration_spark_conn_id": "<string>",
  "migration_smtp_conn_id": "<string>",
  "s3_source_endpoint": "<string>",
  "s3_source_access_key": "<string>",
  "s3_source_secret_key": "<string>",
  "s3_dest_endpoint": "<string>",
  "s3_dest_access_key": "<string>",
  "s3_dest_secret_key": "<string>",
  "default_s3_bucket": "<string>",
  "tracking_database": "<string>",
  "tracking_location": "<string>",
  "report_output_location": "<string>",
  "email_recipients": "<string>",
  "distcp_mappers": 123,
  "distcp_bandwidth": 123,
  "mapr_user": "<string>",
  "mapr_ticketfile_location": "<string>",
  "kinit_principal": "<string>",
  "kinit_keytab": "<string>"
}
'
{
  "cluster_ssh_conn_id": "<string>",
  "cluster_edge_temp_path": "<string>",
  "migration_spark_conn_id": "<string>",
  "migration_smtp_conn_id": "<string>",
  "s3_source_endpoint": "<string>",
  "s3_source_access_key": "<string>",
  "s3_dest_endpoint": "<string>",
  "s3_dest_access_key": "<string>",
  "default_s3_bucket": "<string>",
  "tracking_database": "<string>",
  "tracking_location": "<string>",
  "report_output_location": "<string>",
  "email_recipients": "<string>",
  "distcp_mappers": 123,
  "distcp_bandwidth": 123,
  "mapr_user": "<string>",
  "mapr_ticketfile_location": "<string>",
  "kinit_principal": "<string>",
  "kinit_keytab": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

Partial-update request for Airflow infrastructure variables.

cluster_ssh_conn_id
string | null
cluster_edge_temp_path
string | null
migration_spark_conn_id
string | null
migration_smtp_conn_id
string | null
s3_source_endpoint
string | null
s3_source_access_key
string | null
s3_source_secret_key
string | null
s3_dest_endpoint
string | null
s3_dest_access_key
string | null
s3_dest_secret_key
string | null
default_s3_bucket
string | null
tracking_database
string | null
tracking_location
string | null
report_output_location
string | null
email_recipients
string | null
distcp_mappers
integer | null
distcp_bandwidth
integer | null
mapr_user
string | null
mapr_ticketfile_location
string | null
kinit_principal
string | null
kinit_keytab
string | null

Response

Successful Response

Infrastructure configuration response. Write-only fields are always None.

cluster_ssh_conn_id
string | null
cluster_edge_temp_path
string | null
migration_spark_conn_id
string | null
migration_smtp_conn_id
string | null
s3_source_endpoint
string | null
s3_source_access_key
string | null
s3_dest_endpoint
string | null
s3_dest_access_key
string | null
default_s3_bucket
string | null
tracking_database
string | null
tracking_location
string | null
report_output_location
string | null
email_recipients
string | null
distcp_mappers
integer | null
distcp_bandwidth
integer | null
mapr_user
string | null
mapr_ticketfile_location
string | null
kinit_principal
string | null
kinit_keytab
string | null